<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ddf.EscherProperty (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ddf.EscherProperty (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
               title="class in org.apache.poi.ddf">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ddf/class-use/EscherProperty.html"
               target="_top">Frames</a></li>
        <li><a href="EscherProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ddf.EscherProperty" class="title">Uses of Class<br>org.apache.poi.ddf.EscherProperty
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                                    title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ddf">org.apache.poi.ddf</a></td>
                    <td class="colLast">
                        <div class="block">This package contains classes for decoding the Microsoft Office
                            Drawing format otherwise known as escher henceforth known in POI
                            as the Dreadful Drawing Format.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ddf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                   title="class in org.apache.poi.ddf">EscherProperty</a> in <a
                            href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                                        title="class in org.apache.poi.ddf">EscherProperty</a> in <a
                                href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherArrayProperty.html"
                                    title="class in org.apache.poi.ddf">EscherArrayProperty</a></span></code>
                                <div class="block">Escher array properties are the most weird construction ever invented
                                    with all sorts of special cases.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherBoolProperty.html"
                                    title="class in org.apache.poi.ddf">EscherBoolProperty</a></span></code>
                                <div class="block">Represents a boolean property.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherComplexProperty.html"
                                    title="class in org.apache.poi.ddf">EscherComplexProperty</a></span></code>
                                <div class="block">A complex property differs from a simple property in that the data
                                    can not fit inside a 32 bit
                                    integer.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherRGBProperty.html"
                                    title="class in org.apache.poi.ddf">EscherRGBProperty</a></span></code>
                                <div class="block">A color property.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherShapePathProperty.html"
                                    title="class in org.apache.poi.ddf">EscherShapePathProperty</a></span></code>
                                <div class="block">Defines the constants for the various possible shape paths.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherSimpleProperty.html"
                                    title="class in org.apache.poi.ddf">EscherSimpleProperty</a></span></code>
                                <div class="block">A simple property is of fixed length and as a property number in
                                    addition
                                    to a 32-bit value.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> with type parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>&lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractEscherOptRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html#lookup-int-">lookup</a></span>(int&nbsp;propId)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> that return <a
                                href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                                          title="class in org.apache.poi.ddf">EscherProperty</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">AbstractEscherOptRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html#getEscherProperty-int-">getEscherProperty</a></span>(int&nbsp;index)</code>
                                <div class="block">The list of properties stored by this record.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> that return types with arguments of type <a
                                href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherPropertyFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherPropertyFactory.html#createProperties-byte:A-int-short-">createProperties</a></span>(byte[]&nbsp;data,
                                int&nbsp;offset,
                                short&nbsp;numProperties)</code>
                                <div class="block">Create new properties from a byte array.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractEscherOptRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html#getEscherProperties--">getEscherProperties</a></span>()</code>
                                <div class="block">The list of properties stored by this record.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractEscherOptRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html#addEscherProperty-org.apache.poi.ddf.EscherProperty-">addEscherProperty</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&nbsp;prop)</code>
                                <div class="block">Add a property to this record.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractEscherOptRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html#setEscherProperty-org.apache.poi.ddf.EscherProperty-">setEscherProperty</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&nbsp;value)</code>
                                <div class="block">Set an escher property.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                   title="class in org.apache.poi.ddf">EscherProperty</a> in <a
                            href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with type parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-org.apache.poi.ddf.AbstractEscherOptRecord-int-">getEscherProperty</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/AbstractEscherOptRecord.html"
                                    title="class in org.apache.poi.ddf">AbstractEscherOptRecord</a>&nbsp;opt,
                                int&nbsp;propId)</code>
                                <div class="block">Returns escher property by id.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                   title="class in org.apache.poi.ddf">EscherProperty</a> in <a
                            href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                title="class in org.apache.poi.ddf">EscherProperty</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPropertyValue-org.apache.poi.ddf.EscherProperty-">setPropertyValue</a></span>(<a
                                    href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                    title="class in org.apache.poi.ddf">EscherProperty</a>&nbsp;property)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ddf/EscherProperty.html"
               title="class in org.apache.poi.ddf">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ddf/class-use/EscherProperty.html"
               target="_top">Frames</a></li>
        <li><a href="EscherProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
